JMXConfigurableThreadPoolExecutor (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.concurrent
Class JMXConfigurableThreadPoolExecutor

    java.lang.Object
      java.util.concurrent.AbstractExecutorService
          java.util.concurrent.ThreadPoolExecutor
              org.apache.cassandra.concurrent.DebuggableThreadPoolExecutor
                  org.apache.cassandra.concurrent.JMXEnabledThreadPoolExecutor
                      org.apache.cassandra.concurrent.JMXConfigurableThreadPoolExecutor

All Implemented Interfaces:
  java.util.concurrent.Executor, java.util.concurrent.ExecutorService, IExecutorMBean, JMXConfigurableThreadPoolExecutorMBean, JMXEnabledThreadPoolExecutorMBean

    public class JMXConfigurableThreadPoolExecutor

extends JMXEnabledThreadPoolExecutor
implements JMXConfigurableThreadPoolExecutorMBean

Nested Class Summary

Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor
`java.util.concurrent.ThreadPoolExecutor.AbortPolicy, java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

Field Summary

Fields inherited from class org.apache.cassandra.concurrent.DebuggableThreadPoolExecutor
`blockingExecutionHandler, logger`

Constructor Summary
`JMXConfigurableThreadPoolExecutor(int corePoolSize, long keepAliveTime, java.util.concurrent.TimeUnit unit, java.util.concurrent.BlockingQueue<java.lang.Runnable> workQueue, NamedThreadFactory threadFactory, java.lang.String jmxPath)`

Method Summary

Methods inherited from class org.apache.cassandra.concurrent.JMXEnabledThreadPoolExecutor
`getCompletedTasks, getCurrentlyBlockedTasks, getPendingTasks, getTotalBlockedTasks, onFinalAccept, onFinalRejection, onInitialRejection, shutdown, shutdownNow`

Methods inherited from class org.apache.cassandra.concurrent.DebuggableThreadPoolExecutor
`afterExecute, createWithPoolSize, logExceptionsAfterExecute`

Methods inherited from class java.util.concurrent.ThreadPoolExecutor
`allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, terminated`

Methods inherited from class java.util.concurrent.AbstractExecutorService
`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.concurrent.JMXConfigurableThreadPoolExecutorMBean
`getCorePoolSize, setCorePoolSize`

Methods inherited from interface org.apache.cassandra.concurrent.JMXEnabledThreadPoolExecutorMBean
`getCurrentlyBlockedTasks, getTotalBlockedTasks`

Methods inherited from interface org.apache.cassandra.concurrent.IExecutorMBean
`getActiveCount, getCompletedTasks, getPendingTasks`

Constructor Detail

### JMXConfigurableThreadPoolExecutor

    public JMXConfigurableThreadPoolExecutor(int corePoolSize,
                                             long keepAliveTime,
                                             java.util.concurrent.TimeUnit unit,
                                             java.util.concurrent.BlockingQueue<java.lang.Runnable> workQueue,
                                             NamedThreadFactory threadFactory,
                                             java.lang.String jmxPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation